For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Carts
          • GETGet Cart
          • POSTCreate Cart
          • DELDelete Cart
      • Checkouts
      • Consent
      • Customers
      • Subscriptions
      • Form Fields
      • Orders
      • Pickup Options
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTStorefrontCarts

Get Cart

GET
https://your_store.example.com/api/storefront/carts
GET
/api/storefront/carts
$curl https://your_store.example.com/api/storefront/carts \
> -H "Accept: application/json"
200Example
1[
2 {
3 "id": "770ded29-da45-4ee0-abc6-883e83c0e5ed",
4 "customerId": 0,
5 "email": "",
6 "currency": {
7 "code": "USD",
8 "decimalPlaces": 2,
9 "name": "US Dollars",
10 "symbol": "$"
11 },
12 "isTaxIncluded": false,
13 "baseAmount": 246,
14 "discountAmount": 0,
15 "cartAmount": 221.4,
16 "coupons": [],
17 "discounts": [
18 {
19 "discountedAmount": 24.6,
20 "id": "a83dea21-d757-47a2-a06a-73cf6a983746"
21 }
22 ],
23 "lineItems": {
24 "customItems": [],
25 "digitalItems": [],
26 "giftCertificates": [],
27 "physicalItems": [
28 {
29 "quantity": 2,
30 "brand": "BigCommerce",
31 "couponAmount": 0,
32 "discountAmount": 24.6,
33 "discounts": [
34 {
35 "discountedAmount": 24.6,
36 "id": "string"
37 }
38 ],
39 "extendedListPrice": 246,
40 "extendedSalePrice": 221.4,
41 "giftWrapping": null,
42 "id": "a83dea21-d757-47a2-a06a-73cf6a983746",
43 "imageUrl": "https://cdn11.bigcommerce.com/r-3b68d717e18793df0b51c71e16bc24664ad18b7c/themes/ClassicNext/images/ProductDefault.gif",
44 "isMutable": true,
45 "isShippingRequired": true,
46 "isTaxable": true,
47 "listPrice": 123,
48 "name": "options test",
49 "originalPrice": 130,
50 "parentId": 6,
51 "productId": 230,
52 "salePrice": 110.7,
53 "sku": "sku123-VA",
54 "type": "physical",
55 "url": "https://store.example.com/options-test/",
56 "variantId": 193
57 }
58 ]
59 },
60 "createdTime": "2021-03-04T14:17:50+00:00",
61 "updatedTime": "2021-03-04T14:17:50+00:00",
62 "locale": "en",
63 "version": 1
64 }
65]
Returns a *Cart*. > #### Note > * Substitute your storefront domain for `yourstore.example.com`. > * The Send a Test Request feature is not currently supported for this endpoint.
Was this page helpful?
Previous

Storefront Carts

Next

Create Cart

Built with

Returns a Cart.

Note

  • Substitute your storefront domain for yourstore.example.com.
  • The Send a Test Request feature is not currently supported for this endpoint.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

includelist of enumsOptional
To return product options add one of the following include: `lineItems.physicalItems.options`: The Cart returns an abbreviated result. Use this to return physical items product options. Can also be used in a /POST to have the extended Cart object return. `lineItems.digitalItems.options`: The Cart returns an abbreviated result. Use this to return digital items product options. Can also be used in a /POST to have the extended Cart object return. `lineItems.digitalItems.options,lineItems.physicalItems.options`: The Cart returns an abbreviated result. Use this to return digital and physical options. Can also be used in a /POST to have the extended Cart object return.
Allowed values:

Response

idstringformat: "UUID"
Cart ID, provided after creating a cart with a POST.
customerIdinteger
ID of the customer to which the cart belongs.
emailstring
The cart's email. This is the same email that is used in the billing address
currencyobject
This will always be the same between cart and checkout.
isTaxIncludedboolean
Whether this item is taxable.
baseAmountdouble

Cost of cart’s contents, before applying discounts.

discountAmountdouble

Order based discounted amount only - Coupon discounts and product based discounts are excluded.

cartAmountdouble

Sum of line-items amounts, minus cart-level discounts and coupons. This amount includes taxes (where applicable).

couponslist of objects
discountslist of objects
lineItemsobject
createdTimestringformat: "ISO-8601"
Time when the cart was created.
updatedTimestringformat: "ISO-8601"
Time when the cart was last updated.
localestring
Locale of the cart.
versioninteger
The current version of the cart increments with each successful update. You can use it to enable optimistic concurrency control for subsequent updates.

The MIME type of the response body.

To return product options add one of the following include:

lineItems.physicalItems.options: The Cart returns an abbreviated result. Use this to return physical items product options. Can also be used in a /POST to have the extended Cart object return.

lineItems.digitalItems.options: The Cart returns an abbreviated result. Use this to return digital items product options. Can also be used in a /POST to have the extended Cart object return.

lineItems.digitalItems.options,lineItems.physicalItems.options: The Cart returns an abbreviated result. Use this to return digital and physical options. Can also be used in a /POST to have the extended Cart object return.